curl --request POST \
--url https://cloud.memsource.com/web/api2/v2/projects/applyTemplate/{templateUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"dateDue": "2023-11-07T05:31:56Z",
"note": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
],
"workflowSteps": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/projects/applyTemplate/{templateUid}"
payload = {
"name": "<string>",
"dateDue": "2023-11-07T05:31:56Z",
"note": "<string>",
"sourceLang": "<string>",
"targetLangs": ["<string>"],
"workflowSteps": [{ "id": "<string>" }]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
dateDue: '2023-11-07T05:31:56Z',
note: '<string>',
sourceLang: '<string>',
targetLangs: ['<string>'],
workflowSteps: [{id: '<string>'}]
})
};
fetch('https://cloud.memsource.com/web/api2/v2/projects/applyTemplate/{templateUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userRole": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"id": "<string>",
"internalId": 123,
"mtSettingsPerLanguageList": [
{
"targetLang": "<string>",
"machineTranslateSettings": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"uid": "<string>"
}
}
],
"name": "<string>",
"owner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"references": [
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"filename": "<string>",
"id": "<string>",
"note": "<string>",
"uid": "<string>"
}
],
"sourceLang": "<string>",
"status": "NEW",
"subDomain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"targetLangs": [
"<string>"
],
"uid": "<string>"
}Create project from template
Note: unlike creating a project from a template via the UI, this API call does not automatically assign providers configured in the template’s workflow steps. Call assignProviders separately to apply them.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Template UID
Body
255Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Due date for the project
Show child attributes
Show child attributes
Internal note for the project
Source language code; falls back to the template value when omitted
Show child attributes
Show child attributes
Target language codes; fall back to the template values when omitted
Workflow steps to override those defined in the template
Show child attributes
Show child attributes
Response
Created
Base projectDto
Response differs based on user's role
Date the project was created
Show child attributes
Show child attributes
Internal numeric identifier, encoded as a string
Sequential numeric identifier scoped to the organization (first project in the org is 1)
Machine translation settings per target language
Show child attributes
Show child attributes
Project name
Show child attributes
Show child attributes
Reference files attached to the project
Show child attributes
Show child attributes
Source language code
Project status; one of NEW, ASSIGNED, COMPLETED, ACCEPTED_BY_VENDOR, DECLINED_BY_VENDOR, COMPLETED_BY_VENDOR, CANCELLED. Null when the organization hides progress and status from non-linguist, non-bot callers.
NEW, ASSIGNED, COMPLETED, ACCEPTED_BY_VENDOR, DECLINED_BY_VENDOR, COMPLETED_BY_VENDOR, CANCELLED Show child attributes
Show child attributes
Target language codes
Unique identifier used in API paths
Was this page helpful?